Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/netbsd-3-0]: src/etc Pull up following revision(s) (requested by martti ...



details:   https://anonhg.NetBSD.org/src/rev/d3b696c9200d
branches:  netbsd-3-0
changeset: 579428:d3b696c9200d
user:      ghen <ghen%NetBSD.org@localhost>
date:      Thu Jun 28 18:14:38 2007 +0000

description:
Pull up following revision(s) (requested by martti in ticket #1800):
        etc/monthly: revision 1.11
        etc/weekly: revision 1.23
        etc/security: revision 1.102
        etc/daily: revision 1.70
Use "mktemp -d -t xxx" to create the temporary directories. This will use
TMPDIR environment variable if set, otherwise use /tmp.  (misc/35544)

diffstat:

 etc/daily    |  4 ++--
 etc/monthly  |  4 ++--
 etc/security |  4 ++--
 etc/weekly   |  6 +++---
 4 files changed, 9 insertions(+), 9 deletions(-)

diffs (89 lines):

diff -r ec6c5101a5ca -r d3b696c9200d etc/daily
--- a/etc/daily Thu Jun 28 11:44:52 2007 +0000
+++ b/etc/daily Thu Jun 28 18:14:38 2007 +0000
@@ -1,6 +1,6 @@
 #!/bin/sh -
 #
-#      $NetBSD: daily,v 1.64 2005/01/09 13:07:14 sketch Exp $
+#      $NetBSD: daily,v 1.64.4.1 2007/06/28 18:14:39 ghen Exp $
 #      @(#)daily       8.2 (Berkeley) 1/25/94
 #
 
@@ -66,7 +66,7 @@
 #      find . ! -name . -mtime +7 -exec rm -f -- {} \; ; }
 #fi
 
-DAILYDIR=`mktemp -d /tmp/_daily.XXXXXX` || exit 1
+DAILYDIR=$(mktemp -d -t _daily) || exit 1
 
 trap "/bin/rm -rf $DAILYDIR ; exit 0" EXIT INT QUIT
 
diff -r ec6c5101a5ca -r d3b696c9200d etc/monthly
--- a/etc/monthly       Thu Jun 28 11:44:52 2007 +0000
+++ b/etc/monthly       Thu Jun 28 18:14:38 2007 +0000
@@ -1,6 +1,6 @@
 #!/bin/sh -
 #
-#      $NetBSD: monthly,v 1.10 2004/04/09 17:35:21 kim Exp $
+#      $NetBSD: monthly,v 1.10.4.1 2007/06/28 18:14:38 ghen Exp $
 #      from: @(#)monthly       8.1 (Berkeley) 6/9/93
 #
 
@@ -19,7 +19,7 @@
 echo "Subject: $host monthly output for $date"
 echo ""
 
-MONTHLYDIR=`mktemp -d /tmp/_monthly.XXXXXX` || exit 1
+MONTHLYDIR=$(mktemp -d -t _monthly) || exit 1
 
 trap "/bin/rm -rf $MONTHLYDIR ; exit 0" EXIT INT QUIT PIPE
 
diff -r ec6c5101a5ca -r d3b696c9200d etc/security
--- a/etc/security      Thu Jun 28 11:44:52 2007 +0000
+++ b/etc/security      Thu Jun 28 18:14:38 2007 +0000
@@ -1,6 +1,6 @@
 #!/bin/sh -
 #
-#      $NetBSD: security,v 1.94.2.1.2.1 2007/05/27 20:40:28 bouyer Exp $
+#      $NetBSD: security,v 1.94.2.1.2.2 2007/06/28 18:14:39 ghen Exp $
 #      from: @(#)security      8.1 (Berkeley) 6/9/93
 #
 
@@ -40,7 +40,7 @@
        mkdir -p "$work_dir"
 fi
 
-SECUREDIR=`mktemp -d /tmp/_securedir.XXXXXX` || exit 1
+SECUREDIR=$(mktemp -d -t _securedir) || exit 1
 
 trap "/bin/rm -rf $SECUREDIR ; exit 0" EXIT INT QUIT PIPE
 
diff -r ec6c5101a5ca -r d3b696c9200d etc/weekly
--- a/etc/weekly        Thu Jun 28 11:44:52 2007 +0000
+++ b/etc/weekly        Thu Jun 28 18:14:38 2007 +0000
@@ -1,6 +1,6 @@
 #!/bin/sh -
 #
-#      $NetBSD: weekly,v 1.20 2004/06/27 13:51:55 lukem Exp $
+#      $NetBSD: weekly,v 1.20.4.1 2007/06/28 18:14:38 ghen Exp $
 #      from: @(#)weekly        8.2 (Berkeley) 1/2/94
 #
 
@@ -26,7 +26,7 @@
        exit 1;
 fi
 
-WEEKLYDIR=`mktemp -d /tmp/_weekly.XXXXXX` || exit 1
+WEEKLYDIR=$(mktemp -d -t _weekly) || exit 1
 
 trap "/bin/rm -rf $WEEKLYDIR ; exit 0" EXIT INT QUIT PIPE
 
@@ -50,7 +50,7 @@
 #      echo ""
 #      echo "Looking for checked out files:"
 #
-#      TDIR=`mktemp -d /tmp/_checkout.XXXXXX` || exit 1
+#      TDIR=$(mktemp -d -t _checkout) || exit 1
 #      trap "/bin/rm -rf $TDIR ; exit 0" EXIT INT QUIT
 #      for file in `find -f /usr/src ! -fstype local -prune -or \
 #          -name 'p.*' -print | egrep 'SCCS/p\.'`; do



Home | Main Index | Thread Index | Old Index